#checkbox, 
#checkbox:not(:checked) ~ .navbar__menu, 
#checkbox:not(:checked) ~ .navbar__opener .fa-times, 
#checkbox:checked ~ .navbar__opener .fa-bars{
    display: none;
}
.navbar{
    position: relative;

    &__opener{
        width: 44px;
        height: 37px;
        background-color: black;
        position: relative;
        cursor: pointer;
        @include rightPositioned;
        @include flexCentered;

            .fa, .fas{
                color: white;
            } 
        }

    &__menu{
        position: absolute;
        @include rightPositioned;

        &--item{
            text-transform: uppercase;
            letter-spacing: 0.5px;
            text-align: center;
            color: #4E4E4E;
            font-size: 0.7em;
            padding: 0.8em;
            background: #F5F5F5;  
            width: 14.7em;  

            &:hover{
                color: #57A4A4;
                background: #E5E5E5;
                cursor: pointer;                
            }
        } 
    }
}

@include breakpoint($medium) {
    .navbar__opener{
      display: none;  
    }

    input[type='checkbox']#checkbox ~ ul.navbar__menu{
        width: 70%;
        margin: 0 auto;
        display: flex;
        justify-content: center;
        position: static;
        transform: initial;
    }

    .navbar__menu--item{
        background: none;
        padding: 1.5em 0;
        width: auto;    
        flex-grow: 1;
        
        &:hover{
            color: #57A4A4; 
            background: none;            
        }
    }
}

